<template>
  <div class="">
    <div class="grid grid-cols-3 mt-4 mb-10">
      <div></div>
      <div class="text-center text-4xl">Mes Bulletins</div>
    </div>

    <router-view></router-view>

    <modal-select-savoir
      :bulletin="evaluatedBulletin"
      :value="evaluateOpen"
      v-if="evaluateOpen"
      @bulletinSubmit="bulletinSubmit"
      @closeRequest="evaluateOpen = false"
    />
  </div>
</template>

<script>
import ModalSelectSavoir from "../components/modals/ModalEvaluate.vue";

export default {
  components: { ModalSelectSavoir },
  data() {
    return {
      evaluateOpen: false,
      evaluatedBulletin: Object,
    };
  },
  methods: {
    evaluateBulletin(bulletin) {
      this.evaluatedBulletin = bulletin;
      this.evaluateOpen = true;
    },
    bulletinSubmit(results) {
      this.$store.dispatch("addEvaluation", results);

      this.evaluateOpen = false;
      this.snackbar = true;
    },
  },
};
</script>

